import * as z from 'zod';
export const UserDeleteResultSchema = z.nullable(z.object({
  id: z.number().int(),
  username: z.string(),
  password: z.string(),
  autoBackupEnabled: z.boolean(),
  autoBackupHour: z.number().int(),
  usbBackupEnabled: z.boolean(),
  usbBackupHour: z.number().int(),
  autoMhCheckEnabled: z.boolean(),
  autoMhCheckDayOfWeek: z.number().int(),
  autoMhCheckHour: z.number().int(),
  patients: z.array(z.unknown()),
  appointments: z.array(z.unknown()),
  staff: z.array(z.unknown()),
  npiProviders: z.array(z.unknown()),
  claims: z.array(z.unknown()),
  insuranceCredentials: z.array(z.unknown()),
  shoppingVendors: z.array(z.unknown()),
  updatedPayments: z.array(z.unknown()),
  backups: z.array(z.unknown()),
  backupDestinations: z.array(z.unknown()),
  notifications: z.array(z.unknown()),
  cloudFolders: z.array(z.unknown()),
  cloudFiles: z.array(z.unknown()),
  communications: z.array(z.unknown()),
  twilioSettings: z.unknown().optional(),
  aiSettings: z.unknown().optional(),
  officeHours: z.unknown().optional(),
  officeContact: z.unknown().optional(),
  procedureTimeslot: z.unknown().optional(),
  insuranceContacts: z.array(z.unknown()),
  patientConversations: z.array(z.unknown()),
  labRxTemplates: z.array(z.unknown()),
  seleniumSettings: z.unknown().optional()
}));